perl-Period-1.200.0-15-omv2015.0.noarch.rpm


Advertisement

Description

perl-Period - Time::Period module for perl

Property Value
Distribution OpenMandriva Lx 3.0
Repository OpenMandriva Main Release x86_64
Package filename perl-Period-1.200.0-15-omv2015.0.noarch.rpm
Package name perl-Period
Package version 1.200.0
Package release 15-omv2015.0
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage http://search.perl.com/dist/Period
License GPLv2
Maintainer -
Download size 16.11 KB
Installed size 35.62 KB
Period.pm is a Perl module that contains code to deal with time periods.
Currently, there is only a function in this module.  That function is
called inPeriod().
inPeriod() determines if a given time is within a given time period.
It will return 1 if it is, 0 if not, and -1 if either the time or the
period passed to it were malformed.  The time is specified in non-leap
year seconds past January 1, 1970, as per the time() function.  The period
is a string which is of the form described in Period's man page.

Alternatives

Package Version Architecture Repository
perl-Period-1.200.0-15-omv2015.0.noarch.rpm 1.200.0 noarch OpenMandriva Main Release
perl-Period - - -

Requires

Name Value
perl(Exporter) -
perl(abi) >= 5.20.2

Provides

Name Value
perl(Time::Period) == 1.200.0
perl-Period == 1.200.0-15:2015.0

Download

Type URL
Mirror abf-downloads.openmandriva.org
Binary Package perl-Period-1.200.0-15-omv2015.0.noarch.rpm
Source Package perl-Period-1.200.0-15.src.rpm

Install Howto

  1. Enable OpenMandriva Main Release repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Period rpm package:
    # urpmi perl-Period

Files

Path
/usr/lib/perl5/vendor_perl/5.20.2/Time/Period.pm
/usr/share/doc/perl-Period/Period.html
/usr/share/doc/perl-Period/README
/usr/share/man/man3/Time::Period.3pm.xz

Changelog

2015-07-19 - Bernhard Rosenkraenzer <bero@bero.eu> 1.200.0-15
- (7c6defe) MassBuild#774: Increase release tag

See Also

Package Description
perl-Perl-Critic-1.123.0-2-omv2015.0.noarch.rpm Critique Perl source for style and standards
perl-Perl-MinimumVersion-1.380.0-4-omv2015.0.noarch.rpm Find a minimum required version of perl for Perl code
perl-Perl-OSType-5.20.3-1.2-omv2015.0.noarch.rpm Perl Module for Perl-OSType
perl-PerlIO-5.20.3-1.2-omv2015.0.noarch.rpm Perl Module for PerlIO
perl-PerlIO-gzip-0.180.0-17-omv2015.0.x86_64.rpm Perl extension to provide a PerlIO layer to gzip/gunzip
perl-Pg-2.1.1-23-omv2015.0.x86_64.rpm A libpq-based PostgreSQL interface for Perl
perl-PlRPC-0.2020-16-omv2015.0.noarch.rpm PlRPC perl module
perl-Pod-Checker-5.20.3-1.2-omv2015.0.noarch.rpm Perl Module for Pod-Checker
perl-Pod-Coverage-0.230.0-6-omv2015.0.noarch.rpm Checks if the documentation of a perl module is comprehensive
perl-Pod-Escapes-5.20.3-1.2-omv2015.0.noarch.rpm Perl Module for Pod-Escapes
perl-Pod-Find-5.20.3-1.2-omv2015.0.noarch.rpm Perl Module for Pod-Find
perl-Pod-Html-5.20.3-1.2-omv2015.0.noarch.rpm Perl Module for Pod-Html
perl-Pod-InputObjects-5.20.3-1.2-omv2015.0.noarch.rpm Perl Module for Pod-InputObjects
perl-Pod-Man-5.20.3-1.2-omv2015.0.noarch.rpm Perl Module for Pod-Man
perl-Pod-POM-0.290.0-6-omv2015.0.noarch.rpm POD Object Model
Advertisement
Advertisement